%define name	bugzilla
%define version	2.16.6
%define release	2mdk
%define order	77
#New ADVX macros
%{expand:%(cat  %{_datadir}/ADVX/ADVX-build)}
%define _requires_exceptions perl(CGI.pl)

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	A bug tracking system developed by mozilla.org.
License:	MPL
Group:		Networking/WWW
Source0:	ftp://ftp.mozilla.org/pub/mozilla.org/webtools/%{name}-%{version}.tar.bz2
Source1:	%{name}.conf.bz2
Source2:	%{name}.cron.bz2
URL:		http://www.bugzilla.org/
Requires:	apache
BuildRequires:	ADVX-build >= 1.2
BuildRoot:	%{_tmppath}/%{name}-%{version}
BuildArch:	noarch

%description
Bugzilla is one example of a class of programs called "Defect Tracking
Systems", or, more commonly, "Bug-Tracking Systems". Defect Tracking Systems
allow individual or groups of developers to keep track of outstanding bugs
in their product effectively.

%prep
%setup -q
bzcat %{SOURCE2} > %{name}.cron

# CVS clean up
for i in `find . -type d -name CVS` `find . -type f -name .cvs\*` `find . -type f -name .#\*`; do
    if [ -e "$i" ]; then rm -r $i; fi >&/dev/null
done

# instead of a static patch we do as per documentation...
perl -pi -e 's@#\!/usr/bonsaitools/bin/perl@#\!/usr/bin/perl@' *cgi *pl Bug.pm processmail syncshadowdb

# fix perms
chmod -R go=u-w .

%build

%install
rm -rf %{buildroot}

install -d -m 755 %{buildroot}%{ap_htdocsdir}/%{name}
install -d -m 1777 %{buildroot}%{ap_htdocsdir}/%{name}/{data,shadow}

cp -aRf template %{buildroot}%{ap_htdocsdir}/%{name}/
cp -aRf css %{buildroot}%{ap_htdocsdir}/%{name}/

install -m 755 *.cgi *.pl %{buildroot}%{ap_htdocsdir}/%{name}/
install -m 644 *.dtd *.html *.pm *.jpg *.gif *.js robots.txt %{buildroot}%{ap_htdocsdir}/%{name}/
install -m 755 syncshadowdb processmail %{buildroot}%{ap_htdocsdir}/%{name}/

# apache configuration
install -d -m 755 $RPM_BUILD_ROOT%{ap_base}/webapps.d
bzcat %{SOURCE1} > $RPM_BUILD_ROOT%{ap_base}/webapps.d/%{order}_%{name}.conf

# cron task
install -d %{buildroot}%{_sysconfdir}/cron.daily
install -m 755 %{name}.cron %{buildroot}%{_sysconfdir}/cron.daily/%{name}

%clean
rm -rf %{buildroot}

%post
%ADVXpost

%postun
%ADVXpost

%files
%defattr(-, root, root)
%doc README UPGRADING* docs contrib t runtests.sh
%{ap_htdocsdir}/%{name}
%config(noreplace) %{ap_base}/webapps.d/%{order}_%{name}.conf
%config(noreplace) %{_sysconfdir}/cron.daily/%{name}

%changelog
* Mon Jul 19 2004 Guillaume Rousse <guillomovitch@mandrake.org> 2.16.6-2mdk 
- apache config file in %{ap_base}/webapps.d
- standard perms for %{ap_base}/webapps.d/%{order}_%{name}.conf

* Sun Jul 11 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 2.16.6-1mdk
- 2.16.6 (minor bugfixes)

* Thu Apr 22 2004 Guillaume Rousse <guillomovitch@mandrake.org> 2.16.5-1mdk
- new version
- dropped useless provides
- rpmbuildupdate aware

* Mon Apr 12 2004 Guillaume Rousse <guillomovitch@mandrake.org> 2.16.4-3mdk
- updated description (John Keller <jkeller@matchbox.fr>)

* Tue Apr 06 2004 Guillaume Rousse <guillomovitch@mandrake.org> 2.16.4-2mdk
- let spechelper compute perl dependencies

* Tue Nov 04 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.16.4-1mdk
- 2.16.4
- misc spec file fixes

* Fri Oct 31 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.16.3-6mdk
- do not require MySQL as MySQL-Max does not provide it

* Tue Sep 09 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.16.3-5mdk
- use _requires_exceptions

* Mon Sep 08 2003 Guillaume Rousse <guillomovitch@linux-mandrake.com> 2.16.3-4mdk
- apache2 integration
- ADVX macros

* Sun May 04 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.16.3-3mdk
- fix that "automatic apache integration" somewhat ;)

* Mon Apr 28 2003 Guillaume Rousse <g.rousse@linux-mandrake.com> 2.16.3-2mdk
- fixed dir ownership (Olivier Thauvin <thauvin@aerov.jussieu.fr>)

* Mon Apr 28 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.16.3-1mdk
- 2.16.3
- new version (security fixes)

* Sat Mar 01 2003 Guillaume Rousse <g.rousse@linux-mandrake.com> 2.16.1-4mdk
- cron task

* Tue Feb 25 2003 Guillaume Rousse <g.rousse@linux-mandrake.com> 2.16.1-3mdk
- automatic apache integration

* Fri Jan 17 2003 Lenny Cartier <lenny@mandrakesoft.com> 2.16.1-2mdk
- rebuild

* Wed Oct 02 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.16.1-1mdk
- new version (security fixes)

* Mon Aug 12 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.16-2mdk
- fix Requires

* Tue Jul 30 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.16-1mdk
- new spanking major version
- misc spec file fixes

* Sat Jun  8 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.14.2-1mdk
- new version

* Mon May 20 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.14.1-1mdk
- new version
- new URL

* Mon Sep 24 2001 Lenny Cartier <lenny@mandrakesoft.com> 2.14-1mdk
- updated & fixed by Don Head <donhead@linux-certified.org> :
- Merge with Red Hat:
  - add requirement for perl-DBD-MySQL (Mandrake requires perl-Mysql)
  - updated to 2.14 for security errata
  - added requires for perl-GD
  - forgot to include *.js files. Fixed. (#42795)
  - updated to 2.12, updated perlpath patch
  - added suggested fixes from bug 19497
  - Security fixes 38411
  - Note: This is not the Red Hat version of Bugzilla. You can grab that 
    at ftp://people.redhat.com/dkl
  - fixed bug #16147, dependancy problems.
  - patched all the files which looked for perl in /usr/bonsaitools/bin
  - fixed problem with /usr/bonsai/perl not existing.

* Mon Feb 19 2001 Lenny Cartier <lenny@mandrakesoft.com> 2.11-2mdk
- great fixes from Don Head <donhead@linux-certified.org> :
	- Move to /var/www for FHS
	- Fix perl requires

* Mon Nov 20 2000 Lenny Cartier <lenny@mandrakesoft.com> 2.11-1mdk
- used srpm from  Oden Eriksson <oden@kvikkjokk.com> :
	- 2.11
	- changed the perl path

* Mon Jul 24 2000 Prospector <prospector@redhat.com>
- rebuilt

* Mon Jul 10 2000 Tim Powers <timp@redhat.com>
- rebuilt

* Wed Jun 21 2000 Tim Powers <timp@redhat.com>
- somehow changes were lost, don't know why but they were. Fixed

* Tue Jun 20 2000 Tim Powers <timp@redhat.com>
- fixed location for installation. Now out of /home (it's about time).

* Mon Jun 19 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- 2.10

* Thu Jan 13 2000 Dave Lawrence <dkl@redhat.com>
- Minor cosmetic changes
- Different group permission mechanisms
- Packaged for Powertools
 
* Wed Nov 24 1999 Dave Lawrence <dkl@redhat.com>
- updated to 2.8 (w/Red Hat mods)
- added perl and perl-DBI to requires

* Fri Jul 30 1999 Tim Powers <timp@redhat.com>
- updated to 2.4, updated %post
- added URL and download loc.
- rebuilt for 6.1

* Mon Jan 11 1999 Michael Maher <mike@redhat.com>
- cleaned up spec file a bit.
- ran thru build system

* Thu Dec 10 1998 Andrew Anderson <andrew@redhat.com>
- Initial packaging
